### Method

# Snapd Client list_async

deprecated: 1.42 since: 1.0

#### Declaration [src]

    void
    snapd_client_list_async (
      SnapdClient* client,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously get information on all installed snaps. See `snapd_client_list_sync()` for more information.

Available since: 1.0

Deprecated since: 1.42

Use snapd_client_get_snaps_async().

This method completes asynchronously. Use `snapd_client_list_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.